# Contributing to Wagento SMS Notifications

Thank you for your interest in helping Wagento improve this extension. We
welcome any enhancements or bug fixes that you might wish to contribute.

**Note**: If you have a security concern or an issue that you cannot resolve
yourself, please send an e-mail to [support@wagento.com] instead of opening a
GitHub ticket.

## Things to Know

* At Wagento, we follow the [Git Flow] methodology when adding new features.
* We follow the [PSR-1], [PSR-2], and [PSR-12] coding standards.
* Please be civil and do not harass or abuse any members of the Wagento staff
or other contributors.
* Wagento reserves the right to decline any contributions which do not fit
our guidelines or vision for the extension.
* All code submitted becomes the sole property of Wagento and is subject to our
copyright with or without attribution.

## Important Steps to Follow

1. [Open a GitHub issue][issue] describing the enhancement or fix that you are
contributing.
2. Create a fork of [our GitHub repository][repository] in your GitHub account.
3. Create a feature branch to contain your contribution.
4. Develop your contribution and test it thoroughly under the Magento versions
supported by the extension (see the [README] for a list).
5. Add unit tests, integration tests, and functional tests to prove that your
contribution functions properly and does not break anything.
6. [Submit a Pull Request][pr] referencing the ticket you created in Step 1.

## Follow-up

After you submit your contribution, we will review it when time permits. Once we
do so, we will add a comment to the Pull Request letting you know what needs to
be added, corrected, or otherwise changed. When we are satisfied, we will merge
your changes and add your name to the Credits section of the [README] if
merited.

[support@wagento.com]: mailto:support@wagento.com?subject=[SMS%20Notifications]%20
[Git Flow]: http://nvie.com/posts/a-successful-git-branching-model/
[PSR-1]: https://www.php-fig.org/psr/psr-1/
[PSR-2]: https://www.php-fig.org/psr/psr-2/
[PSR-12]: https://github.com/php-fig/fig-standards/blob/master/proposed/extended-coding-style-guide.md
[repository]: https://github.com/wagento/sms-notifications
[issue]: https://github.com/wagento/sms-notifications/issues
[pr]: https://github.com/wagento/sms-notifications/compare
[README]: ./README.md